RedHat: RHSA-2021-3292:01 Moderate: java-1.8.0-ibm security update ...

Advisories

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: java-1.8.0-ibm security update
Advisory ID:       RHSA-2021:3292-01
Product:           Red Hat Enterprise Linux Supplementary
Advisory URL:      https://access.redhat.com/errata/RHSA-2021:3292
Issue date:        2021-08-30
CVE Names:         CVE-2021-2341 CVE-2021-2369 
=====================================================================

1. Summary:

An update for java-1.8.0-ibm is now available for Red Hat Enterprise Linux
7 Supplementary.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client Supplementary (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode Supplementary (v. 7) - x86_64
Red Hat Enterprise Linux Server Supplementary (v. 7) - ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Workstation Supplementary (v. 7) - x86_64

3. Description:

IBM Java SE version 8 includes the IBM Java Runtime Environment and the IBM
Java Software Development Kit.

This update upgrades IBM Java SE 8 to version 8 SR6-FP35.

Security Fix(es):

* OpenJDK: FTP PASV command response can cause FtpClient to connect to
arbitrary host (Networking, 8258432) (CVE-2021-2341)

* OpenJDK: Incorrect verification of JAR files with multiple MANIFEST.MF
files (Library, 8260967) (CVE-2021-2369)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

All running instances of IBM Java must be restarted for this update to take
effect.

5. Bugs fixed (https://bugzilla.redhat.com/):

1982874 - CVE-2021-2341 OpenJDK: FTP PASV command response can cause FtpClient to connect to arbitrary host (Networking, 8258432)
1982879 - CVE-2021-2369 OpenJDK: Incorrect verification of JAR files with multiple MANIFEST.MF files (Library, 8260967)

6. Package List:

Red Hat Enterprise Linux Client Supplementary (v. 7):

x86_64:
java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Supplementary (v. 7):

x86_64:
java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm

Red Hat Enterprise Linux Server Supplementary (v. 7):

ppc64:
java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.ppc64.rpm
java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.ppc64.rpm
java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.ppc64.rpm
java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.ppc64.rpm
java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.ppc64.rpm
java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.ppc64.rpm

ppc64le:
java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm
java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm
java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm
java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm
java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm

s390x:
java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.s390x.rpm
java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.s390x.rpm
java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.s390x.rpm
java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.s390x.rpm
java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.s390x.rpm

x86_64:
java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm

Red Hat Enterprise Linux Workstation Supplementary (v. 7):

x86_64:
java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-2341
https://access.redhat.com/security/cve/CVE-2021-2369
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2021 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYSyQttzjgjWX9erEAQjBoQ/+M3dEAIsPB5MYGtF62NozhkfCXQrfdBkr
OIe6wbJA+EOIZeGZGnuo2KnED4Ijw5fnD8IJ7fiSHWF4YNdbiRpZnTxTOL3VKFAw
cYKs0Rcs5oMdHzTWiJrKjwRqg7fKNuKJubGbkBY10sHlIccEwKNzMjqmgLjdI1eS
FV61sOyjElrHk5+8iNSKo+nZr86EcWkt59WTV5ya0oCPbGSyXCFYT/sLPiLpFoYr
Xwt+c2QMxdXJTmBI87eCk/09NKM8cAzoxRh9WMM26YbaXhEgTJae2zZJPdS+JbB6
eoCOkbwQuKmR/GzJ2kwlEXew1KlkxBEWN/CgdPw68MTPCMPiTBfndQSFgQubSb7Z
Tu/3aN2AzwgAzoO8RCpduYUB2kZKk+n6+ZmjTqwSliA61EDKa38VChm9+yMg1I+p
8r4dF2JZjl8PGsATWCRIDmFW8qyHx5OzO0ktnq1wkPyQhKJCBunKoFxuP+olzVx1
eE9IPuXb1eqBKs7KVjLXUrOMoiJAZkN2YWEsQYYGcfPXpgVCYakZRs8jdano6WrK
XXO0lr1iA4pwFboofxctFnKQGkjxxswH9+grxZi3fFg43OlgKhEdxS0NreWJGlT8
7t2NAyxCBufSlTBjjjyWb6RI4cdZIm5kM9lBFyj1noolQeF3PD5UIfJrU/gX1BUJ
RvECETc3Ixc=
=iG68
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2021-3292:01 Moderate: java-1.8.0-ibm security update

An update for java-1.8.0-ibm is now available for Red Hat Enterprise Linux 7 Supplementary

Summary

IBM Java SE version 8 includes the IBM Java Runtime Environment and the IBM Java Software Development Kit.
This update upgrades IBM Java SE 8 to version 8 SR6-FP35.
Security Fix(es):
* OpenJDK: FTP PASV command response can cause FtpClient to connect to arbitrary host (Networking, 8258432) (CVE-2021-2341)
* OpenJDK: Incorrect verification of JAR files with multiple MANIFEST.MF files (Library, 8260967) (CVE-2021-2369)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258All running instances of IBM Java must be restarted for this update to takeeffect.

References

https://access.redhat.com/security/cve/CVE-2021-2341 https://access.redhat.com/security/cve/CVE-2021-2369 https://access.redhat.com/security/updates/classification/#moderate

Package List

Red Hat Enterprise Linux Client Supplementary (v. 7):
x86_64: java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
Red Hat Enterprise Linux ComputeNode Supplementary (v. 7):
x86_64: java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
Red Hat Enterprise Linux Server Supplementary (v. 7):
ppc64: java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.ppc64.rpm java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.ppc64.rpm java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.ppc64.rpm java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.ppc64.rpm java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.ppc64.rpm java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.ppc64.rpm
ppc64le: java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.ppc64le.rpm
s390x: java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.s390x.rpm java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.s390x.rpm java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.s390x.rpm java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.s390x.rpm java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.s390x.rpm
x86_64: java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
Red Hat Enterprise Linux Workstation Supplementary (v. 7):
x86_64: java-1.8.0-ibm-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-demo-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-devel-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-jdbc-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-plugin-1.8.0.6.35-1jpp.1.el7.x86_64.rpm java-1.8.0-ibm-src-1.8.0.6.35-1jpp.1.el7.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2021:3292-01
Product: Red Hat Enterprise Linux Supplementary
Advisory URL: https://access.redhat.com/errata/RHSA-2021:3292
Issued Date: : 2021-08-30
CVE Names: CVE-2021-2341 CVE-2021-2369

Topic

An update for java-1.8.0-ibm is now available for Red Hat Enterprise Linux7 Supplementary.Red Hat Product Security has rated this update as having a security impactof Moderate. A Common Vulnerability Scoring System (CVSS) base score, whichgives a detailed severity rating, is available for each vulnerability fromthe CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux Client Supplementary (v. 7) - x86_64

Red Hat Enterprise Linux ComputeNode Supplementary (v. 7) - x86_64

Red Hat Enterprise Linux Server Supplementary (v. 7) - ppc64, ppc64le, s390x, x86_64

Red Hat Enterprise Linux Workstation Supplementary (v. 7) - x86_64

Bugs Fixed

1982874 - CVE-2021-2341 OpenJDK: FTP PASV command response can cause FtpClient to connect to arbitrary host (Networking, 8258432)

1982879 - CVE-2021-2369 OpenJDK: Incorrect verification of JAR files with multiple MANIFEST.MF files (Library, 8260967)

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.